<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Parsers/IDL/idltype/Fixed.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Parsers.IDL.idltype.Fixed</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Parsers.html" >Parsers</a>.<a href="../../IDL.html" >IDL</a>.<a href="../idltype.html" >idltype</a>
</div><div class="class-name">class Fixed

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Parsers/IDL/idltype.py.html" target="detail">../Synopsis/Parsers/IDL/idltype.py</a></div> <div class="xref"><a href="../../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.Fixed" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line211" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Fixed-inheritance" src="Fixed-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Fixed-inheritance_map" />
<map name="Fixed-inheritance_map"><area alt="Scopes/Synopsis/Parsers/IDL/idltype/Type.html" href="Type.html" shape="rect" coords="7, 7, 220, 31" />
</map>
 <div class="doc">Class for fixed point types &#40;Type&#41;

Functions:

  digits&#40;&#41; -- digits.
  scale&#40;&#41;  -- scale.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="__digits">__digits</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line221" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__scale">__scale</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line222" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">digits</span>, <span class="variable">scale</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.Fixed.__init__" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line219" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="accept">accept</a>(<span class="variable">self</span>, <span class="variable">visitor</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.Fixed.accept" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line224" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="digits">digits</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.Fixed.digits" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line225" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="scale">scale</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idltype.Fixed.scale" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idltype.py.html#line226" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Attributes Inherited from Type">
<tr><td colspan="2" class="heading">Attributes Inherited from Type</td></tr>
<tr><td class="inherited"><a href="Type.html#__kind" title="attribute Type.__kind">__kind</a>,
<a href="Type.html#__local" title="attribute Type.__local">__local</a></td></tr></table>
<table width="100%" summary="Methods Inherited from Type">
<tr><td colspan="2" class="heading">Methods Inherited from Type</td></tr>
<tr><td class="inherited"><a href="Type.html#kind" title="method Type.kind">kind</a>,
<a href="Type.html#local" title="method Type.local">local</a>,
<a href="Type.html#unalias" title="method Type.unalias">unalias</a></td></tr></table>
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:06 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
